# tbb::internal::partition_type_base Class Reference

Provides backward-compatible methods for partition objects without affinity. More...

`#include <partitioner.h>`

List of all members.

## Public Member Functions

void | set_affinity (task &)
void | note_affinity (task::affinity_id)
task * | continue_after_execute_range ()
bool | decide_whether_to_delay ()
void | spawn_or_delay (bool, task &b)

## Detailed Description

Provides backward-compatible methods for partition objects without affinity.

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.